Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch::details::MemoryMappedFileReader Struct Reference

`#include <MemoryMappedFileReader.h>`

## Public Member Functions

| MemoryMappedFileReader ()=delete
| MemoryMappedFileReader (const std::string &filePath)
| MemoryMappedFileReader (const MemoryMappedFileReader &)=delete
| MemoryMappedFileReader (MemoryMappedFileReader &&other)
| ~MemoryMappedFileReader ()
MemoryMappedFileReader & | operator= (const MemoryMappedFileReader &)=delete
MemoryMappedFileReader & | operator= (MemoryMappedFileReader &&other)

## Public Attributes

char * | d_mappedMemory {nullptr}
size_t | d_size {0}

## Detailed Description

Definition at line 20 of file MemoryMappedFileReader.h.

## Constructor & Destructor Documentation

## MemoryMappedFileReader() [1/4]

RDKit::SynthonSpaceSearch::details::MemoryMappedFileReader::MemoryMappedFileReader | ( |  | ) |

delete

## MemoryMappedFileReader() [2/4]

RDKit::SynthonSpaceSearch::details::MemoryMappedFileReader::MemoryMappedFileReader | ( | const std::string & | filePath | ) |

## MemoryMappedFileReader() [3/4]

RDKit::SynthonSpaceSearch::details::MemoryMappedFileReader::MemoryMappedFileReader | ( | const MemoryMappedFileReader & |  | ) |

delete

## MemoryMappedFileReader() [4/4]

RDKit::SynthonSpaceSearch::details::MemoryMappedFileReader::MemoryMappedFileReader | ( | MemoryMappedFileReader && | other | ) |

## ~MemoryMappedFileReader()

RDKit::SynthonSpaceSearch::details::MemoryMappedFileReader::~MemoryMappedFileReader | ( |  | ) |

## Member Function Documentation

## operator=() [1/2]

MemoryMappedFileReader & RDKit::SynthonSpaceSearch::details::MemoryMappedFileReader::operator= | ( | const MemoryMappedFileReader & |  | ) |

delete

## operator=() [2/2]

MemoryMappedFileReader & RDKit::SynthonSpaceSearch::details::MemoryMappedFileReader::operator= | ( | MemoryMappedFileReader && | other | ) |

## Member Data Documentation

## d_mappedMemory

char* RDKit::SynthonSpaceSearch::details::MemoryMappedFileReader::d_mappedMemory {nullptr}

Definition at line 32 of file MemoryMappedFileReader.h.

## d_size

size_t RDKit::SynthonSpaceSearch::details::MemoryMappedFileReader::d_size {0}

Definition at line 33 of file MemoryMappedFileReader.h.

The documentation for this struct was generated from the following file:

- MemoryMappedFileReader.h